Subject: bug#5558: 23.1.92; sending an email takes much long then previous emacs version

From: Warren Dodge <[email-masked]>
Date: Thu, 11 Feb 2010 13:30:48 -0800

>  CC: [email-masked]
>  From: Glenn Morris <[email-masked]>
>  Date: Thu, 11 Feb 2010 15:59:10 -0500
>  MIME-Version: 1.0
>  Content-Type: text/plain; charset="us-ascii"
>  
>  
>  [ Please keep 5558 in the cc ]
>  
>  Warren Dodge wrote:
>  
>  > emacs-22.3 -Q
>  > c-x m
>  > -h v send-mail-function
>  >
>  > send-mail-function is a variable defined in `.../emacs-22.3/share/emacs/22.3/lisp/mail/sendmail.elc'.
>  > Its value is sendmail-send-it
>  
>  I wasn't asking about the -Q value, I was asking if you had customized
>  it (eg to smtpmail-send-it). If so, try using that value for message.
>  If you haven't customized it, this is not relevant.
>  
   I have not customised it

>  Did this problem also occur in 23.1, or is it new in 23.1.92?
>  
   Yes

>  If it occurs in 23.1, does it make a difference to set
>  mail-interactive to nil?
>  
   If I set it in the scratch buffer the first c-x m c-c c-c is fast

   If I set the value once in the *mail* buffer.
   Yes it is real quick with that

>  If new in 23.1.92, does it make a difference to set
>  message-interactive to nil?

   If I set it in the scratch buffer the first c-x m c-c c-c is slow but
   the second is fast

   If I set the value once in the *mail* buffer.
   It is real quick with the first c-c c-c
>  
>  If new in 23.1.92, is it still slow if you
>  
>  (setq mail-user-agent 'sendmail-user-agent)
>  
>  
   It isn't new in23.1.92 but yes is it slow with this setting